gnutls_pkcs7_get_crt_raw(3)

NAME
gnutls_pkcs7_get_crt_raw - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_pkcs7_get_crt_raw(gnutls_pkcs7_t pkcs7, int indx, void * certificate, size_t * certificate_size);

ARGUMENTS

gnutls_pkcs7_t pkcs7
    should contain a gnutls_pkcs7_t structure

int indx
    contains the index of the certificate to extract

void * certificate
    the contents of the certificate will be copied there (may be null)

size_t * certificate_size
    should hold the size of the certificate

DESCRIPTION
This function will return a certificate of the PKCS7 or RFC2630 certificate set. After the last certificate has been read GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE will be returned.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value. If the provided buffer is not long enough, then certificate_size is updated and GNUTLS_E_SHORT_MEMORY_BUFFER is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.